# Changelog

## 2025-06-19 - 2.0.20 - fix(smartstate)
Update build scripts and dependency versions; replace isohash with smarthashWeb for state hash generation

- Adjusted package.json scripts to include verbose testing and modified build command
- Bumped development dependencies (tsbuild, tsbundle, tsrun, tstest, tapbundle) to newer versions
- Updated production dependencies (lik, smarthash, smartpromise, smartrx) with minor version bumps
- Replaced import of isohash with smarthashWeb in state hash generation, ensuring consistency across modules

## 2024-10-02 - 2.0.19 - fix(dependencies)
Update dependencies to latest versions

- Updated @git.zone/tsbuild to version ^2.1.84
- Updated @git.zone/tsbundle to version ^2.0.15
- Updated @git.zone/tsrun to version ^1.2.49
- Updated @git.zone/tstest to version ^1.0.90
- Updated @push.rocks/tapbundle to version ^5.3.0
- Updated @types/node to version ^22.7.4
- Updated @push.rocks/lik to version ^6.0.15
- Updated @push.rocks/smartjson to version ^5.0.20
- Updated @push.rocks/smartpromise to version ^4.0.4
- Updated @push.rocks/smartrx to version ^3.0.7
- Updated @push.rocks/webstore to version ^2.0.20

## 2024-10-02 - 2.0.18 - fix(core)
Fix type errors and typos in Smartstate class

- Updated type annotation in Smartstate class to ensure StatePartNameType extends string.
- Fixed a typo in the JSDoc comment: 'existing' instead of 'exiting'.
- Corrected improper type casting in the Smartstate class.

## 2024-05-29 - 2.0.17 - Maintenance
General updates and improvements.

- Updated project description
- Multiple updates to `tsconfig`
- Updated `npmextra.json` to include `githost`

## 2023-10-07 - 2.0.16 - Maintenance
General updates and improvements.

- Core update

## 2023-10-04 - 2.0.15 - Maintenance
General updates and improvements.

- Core update

## 2023-10-03 - 2.0.14 to 2.0.10 - Maintenance
General updates and improvements.

- Core updates

## 2023-09-11 - 2.0.9 - Maintenance
General updates and improvements.

- Core update

## 2023-09-11 - 2.0.8 - Maintenance
General updates and improvements.

- Core update

## 2023-07-27 - 2.0.7 - Maintenance
General updates and improvements.

- Core update

## 2023-07-27 - 2.0.6 - Maintenance
General updates and improvements.

- Core update

## 2023-04-13 - 2.0.5 - Maintenance
General updates and improvements.

- Core update

## 2023-04-12 - 2.0.4 - Maintenance
General updates and improvements.

- Core update

## 2023-04-04 - 2.0.3 to 2.0.1 - Maintenance
General updates and improvements.

- Core updates

## 2023-03-15 - 2.0.0 - Major Update
Core update with significant changes.

## 2022-03-25 - 1.0.23 - Major Update
Breaking changes and major updates.

- SWITCH TO ESM

## 2022-01-24 - 1.0.22 - Maintenance
General updates and improvements.

- Core updates

## 2020-11-30 - 1.0.21 to 1.0.20 - Maintenance
General updates and improvements.

- Core updates

## 2020-11-30 - 1.0.19 to 1.0.18 - Maintenance
General updates and improvements.

- Core updates

## 2020-07-27 - 1.0.17 to 1.0.16 - Maintenance
General updates and improvements.

- Core updates

## 2020-05-27 - 1.0.15 - Maintenance
General updates and improvements.

- Core update

## 2020-05-27 - 1.0.14 - Maintenance
General updates and improvements.

- Core update

## 2019-09-25 - 1.0.13 - Maintenance
General updates and improvements.

- Core update

## 2019-09-25 - 1.0.12 - Maintenance
General updates and improvements.

- Core updates

## 2019-04-30 - 1.0.11 to 1.0.10 - Maintenance
General updates and improvements.

- Core updates

## 2019-03-22 - 1.0.9 - Maintenance
General updates and improvements.

- Core update

## 2019-02-27 - 1.0.8 - Minor Update
Minor updates and improvements.

- Updated action generation
- Core update

## 2019-02-21 - 1.0.7 - Initial Release
Initial release of the project.

- Initial core implementation
